<?php
include ("conexion.php");

$id=$_POST['nombre1_hidden'];
$fecha=date("Y-m-d");

$cons1="INSERT INTO dotacion_actividad (fechaEntrega,idActividad) VALUES ('$fecha','$id')";
$res1=mysql_query($cons1,$conex) or die ("No se realizo cons1");

$cons2="SELECT MAX(idDotacion) AS ultimo FROM dotacion_actividad";
$res2=mysql_query($cons2,$conex) or die ("No se realizo cons2");
$ultimo=mysql_result($res2,0,'ultimo');

?>

<script>
location.href="main.php?a=512&id=<?php echo $ultimo;?>";
</script>